curl --request GET \
--url https://api-sb.meld.io/accounts/customers \
--header 'Authorization: <api-key>'import requests
url = "https://api-sb.meld.io/accounts/customers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sb.meld.io/accounts/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"customers": [
{
"accountId": "<string>",
"addresses": [
{
"addressDetails": {
"city": "<string>",
"country": "<string>",
"lineOne": "<string>",
"lineTwo": "<string>",
"postalCode": "<string>",
"region": "<string>"
},
"customerId": "<string>",
"id": "<string>",
"status": "ACTIVE",
"type": "BILLING"
}
],
"dateOfBirth": "<string>",
"email": "<string>",
"externalId": "<string>",
"id": "<string>",
"key": "<string>",
"name": {
"firstName": "<string>",
"lastName": "<string>"
},
"phone": "<string>",
"previouslyUsedOnramps": [
{
"previouslyUsed": "2023-11-07T05:31:56Z",
"serviceProvider": "ACROSS"
}
],
"serviceProviderCustomers": [
{
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"kyc": {
"additionalInfo": {},
"onboardingMethod": {
"kycProvider": "<string>",
"onboardingType": "<string>"
},
"status": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z"
},
"serviceProvider": "ACROSS",
"serviceProviderAccessProfileId": "<string>",
"serviceProviderDetails": {
"type": "<string>",
"customerType": "<string>"
},
"status": "<string>",
"wallets": [
"<string>"
]
}
],
"status": "ACTIVE",
"type": "INDIVIDUAL"
}
],
"remaining": 123
}{
"code": "BAD_REQUEST",
"message": "Bad request",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00",
"errors": [
"[Meld-Version] is invalid"
]
}{
"code": "UNAUTHORIZED",
"message": "Access denied",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "FORBIDDEN",
"message": "Access denied",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "NOT_FOUND",
"message": "Resource not found",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "CONFLICT",
"message": "Conflict",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "UNEXPECTED_ERROR",
"message": "Unexpected error",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}Search customers
Returns a list of customers that match the query parameters. The customers are sorted by external id.
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
"2026-02-03"
Query Parameters
Meld generated unique identifier for your customer. This should be used to track customer activity. This takes a comma separated list of customer ids.
Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity.
Customer's email
Customer's phone
Customer's status
ACTIVE, INACTIVE Customer type
INDIVIDUAL, BUSINESS Key of customer to get before. The next batch of results will be immediately before this customer.
Key of customer to get after. The next batch of results will be immediately after this customer.
Limits number of returned customers.
Default value: 10 or the number of customer ids provided
Minimum value: 1
Maximum value: 100